PT BIA - Feature #3877

Implementasi Kondisi Backdate di Flow Travel
09/12/2025 01:19 PM - Mr Ikmal

Status: QA Test Start date: 09/12/2025
Priority: Normal Due date:

Assignee: Mr [kmal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

Dear Team Developer,

Mohon bantuannya untuk implementasi flow Backdate (pengajuan Travel mundur/yang sudah terjadi) pada Travel BIA.
Backdate ini mengacu pada workflowName Travel, yaitu pengajuan travel dengan tanggal mundur. Dalam kondisi ini, terdapat
skenario approval DS 1-6 (maksimal 6, bisa kurang, tetapi tidak boleh lebih)

Untuk case lainnya, saya sudah menyiapkan contoh data approval yang tidak lengkap, misalnya hanya memiliki DS1, DS2, lalu
langsung ke DS5. Data ini dapat dijadikan acuan jika terdapat karyawan dengan kondisi seperti DS1 dan DS2 ada, tetapi DS3, DS4,
dan DS6 tidak ada

Contoh EmployeelD: 07080012 — Ristiyani

Workflowname: TRAVEL_AJTM

Terima kasih.

PORT DEV : http:/remote.minovais.com:61139/

DB : remote.minovais.com, 1468
Nama DB : MinovaES_BIA BaseServerCloud

History

#1 - 09/12/2025 02:33 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 09/12/2025 02:56 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Mr Ikmal

dear ikmal , udah bisa di test
package :

deftask (

PCMWFDEFTASK

WHERE (TaskID = 'cond_backdated') AND (BizFlowID = 'TRAVEL_AJTM') OR
(TaskID = 'cond_have_plan2') AND (BizFlowID = 'TRAVEL_AJTM') OR

(TaskID = 'cond_have_ds2') AND (BizFlowID = 'TRAVEL_AJTM') OR

(TaskID = 'cond_have_plan3') AND (BizFlowID = "'TRAVEL_AJTM') OR

(TaskID = 'cond_have_ds3') AND (BizFlowID = 'TRAVEL_AJTM') OR

(TaskID = 'cond_have_plan4') AND (BizFlowID = 'TRAVEL_AJTM') OR

(TaskID = 'cond_have_ds4') AND (BizFlowID = 'TRAVEL_AJTM') OR

(TaskID = 'cond_have_plan5') AND (BizFlowID = 'TRAVEL_AJTM') OR

(TaskID = 'cond_have_ds5') AND (BizFlowID = 'TRAVEL_AJTM') OR

(TaskID = 'cond_have_plan6') AND (BizFlowID = 'TRAVEL_AJTM') OR

(TaskID = 'cond_have_ds6') AND (BizFlowID = 'TRAVEL_AJTM')

)

custparam(
-CondTRVBackDate

-CondTRVDS2
-CondTRVDS3
-CondTRVDS4
-CondTRVDS5
-CondTRVDS6

)

makasih

09/13/2025
